﻿/*
Post-Deployment Script Template							
--------------------------------------------------------------------------------------
 This file contains SQL statements that will be appended to the build script.		
 Use SQLCMD syntax to include a file in the post-deployment script.			
 Example:      :r .\myfile.sql								
 Use SQLCMD syntax to reference a variable in the post-deployment script.		
 Example:      :setvar TableName MyTable							
               SELECT * FROM [$(TableName)]					
--------------------------------------------------------------------------------------
*/

insert SensorType(Id, Name) values (0, 'Temperature')
insert SensorType(Id, Name) values (1, 'Humidity')
insert SensorType(Id, Name) values (2, 'Illuminance')
insert SensorType(Id, Name) values (3, 'Voltage')
insert SensorType(Id, Name) values (4, 'Motion')

insert Sensor(Id, Name) values (66077, 'Living room')
insert Sensor(Id, Name) values (82678, 'Daylight')
insert Sensor(Id, Name) values (131089, 'Bathroom')
insert Sensor(Id, Name) values (131106, 'Outdoor temp')

