﻿// <copyright file="ClientServerMode.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace StcEthernet.Management
{
  using System;

  /// <summary>
  /// Indicates if the transiever runs as a client or a server.
  /// </summary>
  [Serializable]
  public enum ClientServerMode : byte
  {
    /// <summary>
    /// The transiever act as a client.
    /// </summary>
    Client = 0x00,

    /// <summary>
    /// The transiever act as a server.
    /// </summary>
    Server = 0x01
  }
}
