﻿// <copyright file="MessageTelegram.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author> 

namespace EnOcean.Message
{
  using System;

  /// <summary>
  /// Base class for message telegrams.
  /// </summary>
  [Serializable]
  public abstract class MessageTelegram : Telegram
  {
    /// <summary>
    /// Initializes a new instance of the MessageTelegram class.
    /// </summary>
    public MessageTelegram()
    {
      this.TelegramType = TelegramType.ReceiveMessageTelegram;
    }
  }
}
