﻿// <copyright file="SwitchType.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace EnOcean.Radio.Sensor
{
  using System;

  /// <summary>
  /// Indicates the switch module type.
  /// </summary>
  [Serializable]
  public enum SwitchType
  {
    /// <summary>
    /// PTM switch module of type 1.
    /// </summary>
    Type1 = 0,

    /// <summary>
    /// PTM switch module of type 2.
    /// </summary>
    Type2 = 1
  }
}
