﻿// <copyright file="RadioSensitivity.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author> 

namespace EnOcean
{
  using System;

  /// <summary>
  /// The radio sensitivity of the TCM 120 module.
  /// </summary>
  [Serializable]
  public enum RadioSensitivity : byte
  {
    /// <summary>
    /// Low radio sensitivity.
    /// </summary>
    Low = 0,

    /// <summary>
    /// High radio sensitivity.
    /// </summary>
    High = 1
  }
}
