﻿// <copyright file="Program.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace EnOceanService
{
  using System.ServiceProcess;

  /// <summary>
  /// The main application class.
  /// </summary>
  internal static class Program
  {
    /// <summary>
    /// The main entry point for the application.
    /// </summary>
    internal static void Main()
    {
      ServiceBase[] servicesToRun;
      servicesToRun = new ServiceBase[] 
      { 
        new EnOceanService() 
      };

      ServiceBase.Run(servicesToRun);
    }
  }
}
