﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ServiceContract;
using System.ServiceModel;
using System.ServiceModel.Channels;

namespace EnOceanTransmitter
{
  internal class TransmitterServiceProxy : ClientBase<IEnOceanTransmitter>, IEnOceanTransmitter
  {
    public TransmitterServiceProxy(EndpointAddress remoteAddress)
      : base(new BasicHttpBinding(), remoteAddress)
    {
    }

    public IEnumerable<long> GetBaseIds()
    {
      return base.Channel.GetBaseIds();
    }

    public void SendTelegram(byte[] telegram)
    {
      base.Channel.SendTelegram(telegram);
    }
  }
}
